<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Data;
use App\Info;
use App\Pivot;
use Session;
use GuzzleHttp\Client; 

class UserController extends Controller
{
    public function index(Request $request)
    {
        $userInfo = Info::where('user_id', auth()->user()->id)->first();

        $pivotss = Pivot::where('user_id', auth()->user()->id)->get();

        foreach($pivotss as $pivots){
            if ($pivots) {
                $numericId = filter_var($pivots->PivotID, FILTER_SANITIZE_NUMBER_INT);
                $pivots->PivotID = $numericId; 
            }
        }

        return view('welcome', ['userInfo' => $userInfo , 'pivots' => $pivotss]);
    
    }

    public function UserView(Request $request)
    {
        return view('frontend.index');
    }

    public function update(Request $request)
    {
        $userInfo = Info::where('user_id', auth()->user()->id)->first();
        $userInfo->update([
            'Version' => $request->input('version'),
            'ProjectName' => $request->input('projectName'),
            'PivotCount' => $request->input('pivotCount'),
            'PumpProject' => $request->input('pumpProject'),
            'PumpProjectName' => $request->input('pumpProjectName'),
            'Maps' => $request->input('maps'),
            'MapsName' => $request->input('mapsName'),
        ]);

        Session::flash('success', 'Data updated successfully!');
       return back();
    }



    public function updatePivot(Request $request)
    {
        $pivot = Pivot::findOrFail($request->input('pivotId'));
        // print_r($pivot);die;
        //$pivot = Pivot::where('user_id', auth()->user()->id)->first();
        $pivot->update([
            'PivotID' => $request->input('PivotID'),
            'PivotName' => $request->input('PivotName'),
            'IPAddress' => $request->input('IPAddress'),
            'PivotPort' => $request->input('PivotPort'),
            'PLCType' => $request->input('PLCType'),
            'CenterLat' => $request->input('CenterLat'),
            'CenterLon' => $request->input('CenterLon'),
            'Value4' => $request->input('Value4'),
            'Value5' => $request->input('Value5'),
        ]);


        return redirect()->back()->with('success', 'Pivot data added successfully');
    }

    public function editPivot($id)
    {
        $pivot = Pivot::findOrFail($id);
    
        return view('frontend.index', compact('pivot'));
    }




}
