<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Data;
use App\Info;
use App\Pivot;
use Session;
use GuzzleHttp\Client; 

class UserController extends Controller
{
    public function index(Request $request)
    {
        $userInfo = Info::where('user_id', auth()->user()->id)->first();

        $pivots = Pivot::all();

        return view('welcome', ['userInfo' => $userInfo , 'pivots' => $pivots]);
    }

    public function UserView(Request $request)
    {
        return view('frontend.index');
    }

    public function update(Request $request)
    {
        $userInfo = Info::where('user_id', auth()->user()->id)->first();
        $userInfo->update([
            'Version' => $request->input('version'),
            'ProjectName' => $request->input('projectName'),
            'PivotCount' => $request->input('pivotCount'),
            'PumpProject' => $request->input('pumpProject'),
            'PumpProjectName' => $request->input('pumpProjectName'),
            'Maps' => $request->input('maps'),
            'MapsName' => $request->input('mapsName'),
        ]);

        Session::flash('success', 'Data updated successfully!');
       return back();
    }


    // public function insertPivots()
    // {
    //     $jsonLink = 'https://pivotcontrol.ritecontrol.com/RecipeFiles/6BjzkHoN46if.json';
    //     $client = new Client();
    //     $response = $client->get($jsonLink);
    //     $jsonData = json_decode($response->getBody(), true);

    //     foreach ($jsonData as $pivotId => $pivotData) {
    //         if ($pivotId === 'Info') {
    //             continue;
    //         }
    //         Pivot::create([
    //             'PivotID' => $pivotId,
    //             'PivotName' => $pivotData['PivotName'],
    //             'IPAddress' => $pivotData['IPAddress'],
    //             'PivotPort' => $pivotData['PivotPort'],
    //             'PLCType' => $pivotData['PLCType'],
    //             'CenterLat' => $pivotData['CenterLat'],
    //             'CenterLon' => $pivotData['CenterLon'],
    //             'Value4' => $pivotData['Value4'],
    //             'Value5' => $pivotData['Value5'],
    //             'Value6' => $pivotData['Value6'],
    //             'Value7' => $pivotData['Value7'],
    //             'Value8' => $pivotData['Value8'],
    //             'Value9' => $pivotData['Value9'],
    //             'Value10' => $pivotData['Value10'],
    //         ]);
    //     }

    //     return "Data inserted successfully!";
    // }

}
